Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1917351

Summary: F34FailsToInstall: golang-gvisor-devel
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: golang-gvisorAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: marcandre.lureau, zebob.m
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: golang-gvisor-20201216.0-3.20210114git6cc587a.fc34 golang-gvisor-20201216.0-3.20210114git6cc587a.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-28 13:48:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1868279    

Description Miro Hrončok 2021-01-18 10:54:16 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (golang-gvisor) Fails To Install in Fedora 34:

can't install golang-gvisor-devel:
  - nothing provides golang(github.com/bazelbuild/rules_go/go/tools/coverdata) needed by golang-gvisor-devel-20201216.0-1.20210114git6cc587a.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Miro Hrončok 2021-01-28 05:38:44 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Marc-Andre Lureau 2021-01-28 09:49:08 UTC
I am no longer maintaining the package as I have no use for it anymore (that was short, sorry!)
@zebob.m can you take maintainership?

Comment 3 Robert-André Mauchin 🐧 2021-01-28 10:05:35 UTC
Sure thing, added to my todo list.

Comment 4 Marc-Andre Lureau 2021-01-28 10:08:17 UTC
thanks, I'll add you in pagure.

Comment 5 Fedora Update System 2021-01-28 13:48:51 UTC
FEDORA-2021-3c9a818d35 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-01-28 15:10:59 UTC
FEDORA-2021-6464ba32c3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6464ba32c3

Comment 7 Fedora Update System 2021-01-29 02:01:52 UTC
FEDORA-2021-6464ba32c3 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6464ba32c3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6464ba32c3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-02-06 01:16:32 UTC
FEDORA-2021-6464ba32c3 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.